Gi
=====

CLI util, to create a `.gitignore` file that has been seeded by [gitignore.io](http://gitignore.io)

## Installation

Add this line to your application's Gemfile:

install it with ruby-gems:

```rb
$ gem install gi-cli
```

## Usage

### list
running `$ gi list` will return a list of all available seeds.

> --search <search_term>

attaching `--search` will allow you to search for a specific pattern

1. `$ gi list --search node`

### seed
the default command is the one that appends the `.gitignore` file, it works in a two step process. upon calling the command `$ gi <args>` __OR__ `$ gi seed <args>`.

1. `$ gi osx,ruby,node,emacs`
2. `$ gi seed osx,ruby,node,emacs`

> --dry

attaching the `--dry` flag to the initial `seed` command will simply print out the (would be) contents of the .gitignore to the terminal and not actually create a file on the hard drive _(really this only exists for testing but hey, someone might use it)_

> --overwrite

attaching the `--overwrite` flag to `seed` will overwrite the existing `.gitignore` with the seeded one.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/bernsie/gi-cli.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

