# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gi/version'

Gem::Specification.new do |spec|
  spec.name          = "gi-cli"
  spec.version       = Gi::VERSION
  spec.authors       = ["Josh Burns"]
  spec.email         = ["joshyburnss@gmail.com"]

  spec.summary       = %q{cli util to create seeded .gitignore files}
  spec.description   = %q{cli util to create seeded .gitignore files}
  spec.homepage      = "http://github.com/bernsie/gi-cli"
  spec.license       = "MIT"

  
  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = ["gi"]
  spec.require_paths = ["lib"]

  spec.add_dependency "commander", "~> 4.4.0"
  
  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
